/* presets*/
@import url("https://fonts.googleapis.com/css2?family=Barlow:wght@600&family=Fraunces:wght@700;900&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
img,
svg {
  outline: 0;
  user-select: none;
}
body,
html {
  width: 100%;
  height: 100%;
  max-width: 1440px;
  margin: 0 auto;
  font-size: 18px;
}
a,
a:active {
  text-decoration: none;
  cursor: pointer;
}
li {
  cursor: pointer;
}

/* variables */
:root {
  /* fonts */
  --barlow-font: "Barlow", sans-serif;
  --fraunces-font: "Fraunces", serif;

  /* colors ### Primary */
  --soft-red: hsl(7, 99%, 70%);
  --yellow: hsl(51, 100%, 49%);
  --dark-desaturated-cyan: hsl(167, 40%, 24%);
  --dark-blue: hsl(198, 62%, 26%);
  --dark-moderate-cyan: hsl(168, 34%, 41%);

  /* colors ### Neutral*/
  --dark-desaturated-blue: hsl(212, 27%, 19%);
  --very-dark-grayish-blue: hsl(213, 9%, 39%);
  --dark-grayish-blue: hsl(232, 10%, 55%);
  --grayish-blue: hsl(210, 4%, 67%);
  --white: hsl(0, 0%, 100%);
}

/* styles */
.header {
  height: 100vh;
  width: 100%;
  background: url(./images/desktop/image-header.jpg) no-repeat;
  background-size: cover;
  background-position: center;
  padding: 25px 30px;
  max-height: 768px;
}
.header nav {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px;
}
.header .menu #dropDown {
  display: none;
}
.header nav ul {
  display: flex;
  align-items: center;
  list-style: none;
  margin-right: 20px;
}
.header nav ul li {
  margin-left: 40px;
  font-family: var(--barlow-font);
  color: var(--white);
  font-size: 0.9rem;
  font-weight: lighter;
  opacity: 0.9;
}
.header nav ul li a {
  color: #000;
  text-transform: uppercase;
  font-weight: bold;
  background-color: var(--white);
  padding: 15px 20px;
  border-radius: 100px;
  transition: 0.2s;
}
.header nav ul li a:hover {
  background-color: rgba(255, 255, 255, 0.3);
  color: var(--white);
}
.header-title {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 7%;
}

.header-title h1 {
  font-family: var(--fraunces-font);
  text-transform: uppercase;
  color: var(--white);
  letter-spacing: 8px;
  font-size: 45px;
  margin-bottom: 80px;
}
.header-title img {
  width: 30px;
}
/*****/
.card-container {
  width: 100%;
  display: flex;
  align-items: center;
}
.c2-mobile {
  flex-direction: row-reverse;
}
.card-image {
  width: 50%;
  min-height: 600px;
}

.card-description {
  min-height: 600px;
  width: 50%;
  padding: 0 8%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
}
.card-description h1 {
  font-family: var(--fraunces-font);
  font-weight: 900;
  width: 80%;
  line-height: 40px;
  margin-bottom: 2rem;
  color: var(--dark-desaturated-blue);
}

.card-description p {
  font-family: var(--barlow-font);
  color: var(--dark-grayish-blue);
  width: fit-content;
  font-size: 1rem;
  font-weight: 700;
  width: 100%;
  line-height: 25px;
  margin-bottom: 2rem;
}
.card-description a {
  font-family: var(--fraunces-font);
  text-transform: uppercase;
  color: var(--dark-desaturated-blue);
  font-weight: bolder;
  font-size: 0.9rem;
  position: relative;
  left: 10px;
}
.card-description a::after {
  content: "";
  position: absolute;
  left: -7px;
  bottom: -1px;
  height: 8px;
  width: 110%;
  opacity: 0.3;
  border-radius: 100px;
  z-index: -1;
}
.link1::after {
  background-color: var(--yellow);
}
.link2::after {
  background-color: var(--soft-red);
}
.card-image-1 {
  background: url("./images/desktop/image-transform.jpg");
  background-position: center;
  background-size: cover;
}
.card-image-2 {
  background: url("./images/desktop/image-stand-out.jpg");
  background-position: center;
  background-size: cover;
}

/* image-card-showcase*/

.image-card-showcase-container {
  width: 100%;
  display: flex;
  flex-direction: row;
}
.image-card-showcase {
  width: 50%;
  min-height: 600px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
}
.img-c-s-1 {
  background: url("./images/desktop/image-graphic-design.jpg") no-repeat;
  background-size: cover;
  background-position: center;
}
.img-c-s-2 {
  background: url("./images/desktop/image-photography.jpg") no-repeat;
  background-size: cover;
  background-position: center;
}
.desc {
  width: 50%;
  margin-bottom: 3rem;
}
.desc h2 {
  font-family: var(--fraunces-font);
  font-weight: 900;
  text-align: center;
}
.desc p {
  text-align: center;
  font-family: var(--barlow-font);
  line-height: 25px;
  font-size: 15px;
  margin-top: 25px;
  font-weight: 600;
}
.img-c-s-1 h2 {
  color: var(--dark-desaturated-cyan);
}
.img-c-s-1 p {
  color: var(--dark-moderate-cyan);
}
.img-c-s-2 h2 {
  color: var(--dark-blue);
}
.img-c-s-2 p {
  color: var(--dark-blue);
}

/* clients reviews */
.clients-section {
  width: 100%;
  text-align: center;
  padding: 10% 0 8% 0;
}
.clients-section h3 {
  font-family: serif;
  text-transform: uppercase;
  font-weight: 900;
  letter-spacing: 3px;
  color: var(--dark-grayish-blue);
}
.client-reviews-container {
  display: flex;
  width: 70%;
  margin: 80px auto 20px auto;
  gap: 2rem;
}
.client-review {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.client-review img {
  width: 70px;
  border-radius: 50%;
  margin-bottom: 50px;
}
.client-review p {
  text-align: center;
  font-family: var(--barlow-font);
  line-height: 25px;
  margin-bottom: 20%;
  font-size: 0.9rem;
  color: var(--very-dark-grayish-blue);
}
.client-name {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.client-name span {
  font-family: var(--fraunces-font);
  color: var(--dark-desaturated-blue);
  font-weight: 900;
  margin-bottom: 10px;
}
.client-name small {
  font-family: var(--barlow-font);
  color: var(--grayish-blue);
  font-size: 11px;
}

.images-gallery {
  width: 100%;
  display: flex;
  min-height: 400px;
}

.img-1 {
  background: url("./images/desktop/image-gallery-milkbottles.jpg") no-repeat;
}
.img-2 {
  background: url("./images/desktop/image-gallery-orange.jpg") no-repeat;
}
.img-3 {
  background: url("./images/desktop/image-gallery-cone.jpg") no-repeat;
}
.img-4 {
  background: url("./images/desktop/image-gallery-sugarcubes.jpg") no-repeat;
}
.img-holder {
  width: 25%;
  background-size: cover;
  background-position: center;
  min-height: 100%;
}

/* footer */
footer {
  background-color: #90d4c5;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 60px 0 40px 0;
}
footer svg {
  transform: scale(1);
}
#svg-path {
  fill: var(--dark-desaturated-cyan);
}
footer ul.links {
  display: flex;
  list-style: none;
  margin-top: 40px;
  justify-content: space-between;
  gap: 30px;
  font-family: var(--barlow-font);
  font-size: 14px;
  color: var(--dark-moderate-cyan);
}
footer ul.links li:hover {
  color: var(--white);
}
footer ul.social {
  display: flex;
  list-style: none;
  margin-top: 70px;
  justify-content: space-between;
  gap: 20px;
  align-items: center;
}
footer ul.social li svg {
  transform: scale(0.9);
}
footer ul.social li svg:hover path {
  fill: var(--white);
}

/* attribution*/

.attribution {
  font-size: 11px;
  text-align: center;
  margin-top: 15px;
  font-family: var(--barlow-font);
}
.attribution a {
  color: var(--dark-blue);
}
.attribution a:hover {
  text-decoration: underline;
}
/* media queries */
@media (max-width: 1024px) {
  .header-title {
    margin-top: 15%;
  }
  .card-description {
    padding: 0 8% 0 5%;
  }
  .image-card-showcase {
    min-height: 500px;
  }
  .client-reviews-container {
    width: 85%;
  }
  .images-gallery {
    min-height: 350px;
  }
}

@media (max-width: 768px) {
  .header-title {
    margin-top: 20%;
  }
  .header-title h1 {
    font-size: 40px;
  }
  .card-image {
    min-height: 450px;
  }
  .card-description {
    min-height: 450px;
    padding: 0 2% 0 4%;
  }
  .desc {
    min-height: 10rem;
    width: 70%;
    margin-bottom: 0.2rem;
  }
  .client-reviews-container {
    width: 90%;
    gap: 2rem;
  }
  .images-gallery {
    min-height: 250px;
  }
}

@media (max-width: 568px) {
  .header nav ul {
    flex-direction: column;
    align-items: center;
    margin-right: 0;
    width: 82%;
    text-align: center;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    background-color: var(--white);
    top: 15%;
    height: 0;
    overflow: hidden;
    transition: 0.4s;
    border-radius: 2px;
  }
  .header .menu #dropDown {
    display: block;
  }
  .menu a svg.active {
    opacity: 0.5;
  }
  .header nav ul.active {
    padding: 30px 10px;
    height: max-content;
    overflow: unset;
  }
  .menu a {
    position: relative;
    right: -5px;
  }
  .header nav ul::before {
    content: "";
    position: absolute;
    border-left: 20px solid transparent;
    border-top: 20px solid transparent;
    border-right: 0px solid var(--white);
    top: -19px;
    right: 0;
    z-index: 1000;
    transition: 0.2s;
  }
  .header nav ul.active::before {
    border-right: 20px solid var(--white);
  }
  .header nav ul li {
    margin-left: 0;
    font-family: var(--barlow-font);
    color: var(--dark-grayish-blue);
    font-size: 15px;
    margin-bottom: 25px;
  }
  .header nav ul li a {
    background-color: var(--yellow);
    margin-top: 10px;
    display: block;
    margin-bottom: -15px;
  }
  .header-title h1 {
    text-align: center;
    font-size: 40px;
    margin-top: 50px;
    margin-bottom: 40px;
  }
  .header-title img {
    width: 8%;
  }

  /* end of header styling */
  .c1-mobile {
    flex-direction: column-reverse;
  }
  .c2-mobile {
    flex-direction: column-reverse;
  }
  .card-image {
    width: 100%;
  }

  .card-description {
    width: 100%;
    padding: 0 8%;
    align-items: center;
  }
  .card-description h1,
  .card-description p {
    text-align: center;
  }
  .card-description a {
    left: 0;
  }
  .card-image-1 {
    background: url("./images/mobile/image-transform.jpg");
    background-position: center;
    background-size: cover;
  }
  .card-image-2 {
    background: url("./images/mobile/image-stand-out.jpg");
    background-position: center;
    background-size: cover;
  }

  /* image showcase */
  .image-card-showcase {
    min-height: 600px;
  }
  .image-card-showcase-container {
    flex-direction: column;
  }
  .image-card-showcase {
    width: 100%;
  }
  .img-c-s-1 {
    background: url("./images/mobile/image-graphic-design.jpg") no-repeat;
    background-size: cover;
    background-position: center;
  }
  .img-c-s-2 {
    background: url("./images/mobile/image-photography.jpg") no-repeat;
    background-size: cover;
    background-position: center;
  }
  .clients-section {
    padding: 20% 0 8% 0;
  }
  .client-review {
    margin-bottom: 1.5rem;
  }
  .client-reviews-container {
    flex-direction: column;
    margin: 60px auto 20px auto;
  }
  .client-review img {
    margin-bottom: 30px;
  }
  .client-review p {
    margin-bottom: 5%;
  }

  /* ############### */
  .images-gallery {
    width: 100%;
    display: grid;
    min-height: 400px;
    grid-template-columns: repeat(2, 1fr);
  }

  .img-1 {
    background: url("./images/mobile/image-gallery-milkbottles.jpg") no-repeat;
  }
  .img-2 {
    background: url("./images/mobile/image-gallery-orange.jpg") no-repeat;
  }
  .img-3 {
    background: url("./images/mobile/image-gallery-cone.jpg") no-repeat;
  }
  .img-4 {
    background: url("./images/mobile/image-gallery-sugar-cubes.jpg") no-repeat;
  }
  .img-holder {
    width: 100%;
    background-size: cover;
    background-position: center;
    min-height: 100%;
  }

  /*footer */
  footer {
    padding: 3rem 0 1.5rem 0;
  }
  footer ul.social {
    margin-top: 3rem;
  }
}

@media (max-width: 375px) {
  .header {
    max-height: 600px;
    padding: 25px 15px;
  }
  .header-title {
    margin-top: 5%;
  }
}

/* very small screen sizes */
@media (max-width: 300px) {
  .header-title {
    margin-top: 5%;
  }
  .header-title h1 {
    font-size: 25px;
  }
}

/* custom scrollbar */

/* width */
::-webkit-scrollbar {
  width: 0.5rem;
}

/* Track */
::-webkit-scrollbar-track {
  background: var(--white);
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: linear-gradient(to top, var(--yellow), var(--soft-red));
  border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: linear-gradient(to bottom, var(--yellow), var(--soft-red));
}
